Subject: n900 in next-20170901

From: [email-masked] (Tony Lindgren)
Date: Fri, 10 Nov 2017 07:37:34 -0800

* Joonsoo Kim <[email-masked]> [171110 06:43]:
> On Thu, Nov 09, 2017 at 10:23:40PM -0800, Tony Lindgren wrote:
> > * Tony Lindgren <[email-masked]> [171109 22:19]:
> > > * Tony Lindgren <[email-masked]> [171110 03:28]:
> > > > Then I'll follow up on cleaning up save_secure_ram_context later.
> > > 
> > > Here's a better version, the static mapping did not get used.. It
> > > just moved the area so it happened to work. It needs to be set
> > > up as MT_MEMORY_RWX_NONCACHED instead.
> > 
> 
> I see a better version now. Hmm... I guess that it also has the
> problem that I mentioned on first version.
> 
> > And FYI, here's what I currently have for the follow-up patch,
> > but that can wait a bit.
> 
> Okay. So, this patch should be applied on the top of above better version?

Yeah, but we may actually want to combine both patches into a
single patch to avoid the save_secure_ram_context 0xffff translation
limit, see my comments in the first version.

Regards,

Tony